-- Pseudo-Repeat-Group to count the number of documents per case. This
-- is used to transfer the number of "kooperationsvereinbarungen" from
-- the databaase server to the evaluation server.
--
-- This is the representation of that information in the coaches
-- database. We only need the anonymized view.

-- Some of the code expects such tables to have an ID column. Since we
-- group by master_id we can just re-use it as the ID.
CREATE OR REPLACE VIEW rg_case_document_count_tbl_anonym_view
AS SELECT master_id AS id,
   	  master_id AS master_id,
          COUNT(*) as document_count
     FROM ka_dokumente_tbl
    WHERE master_id IS NOT NULL
 GROUP BY master_id;
