BEGIN;

-- add missing fields to master_tbl_eval_total_view 

--
-- The only differences with db_struktur/upgrade/1.1.2/04_prozentuale_verteilung.sql
-- is fkz, anzahl_ha_migration, weitere_akt_anzahl_workshops
-- This is only needed for the evaluation server.
--

SET ROLE :db_adm;

-- INSERT INTO db_history (beschreibung, zeitpunkt)
-- VALUES ('1.1.2/04_prozentuale_verteilung.sql', current_timestamp);

-- Start, disable triggers and set role
ALTER TABLE master_tbl DISABLE TRIGGER USER;
SET ROLE :db_adm;

-- view for master table evaluation
--
-- this table should be copied to 04views.sql
--

DROP VIEW master_tbl_eval_total_view CASCADE;

CREATE OR REPLACE VIEW master_tbl_eval_total_view
   AS SELECT
    m.id AS id,
    m.phase AS phase,
    m.fkz AS fkz,
    m.datum_begin_zeitraum AS datum_begin_zeitraum,
    m.datum_ende_zeitraum AS datum_ende_zeitraum,
    m.raeumliche_zustaendigkeit AS raeumliche_zustaendigkeit,
    m.jmdstruktur AS jmdstruktur,
    m.traeger_integrationskurs AS traeger_integrationskurs,
    m.anzahl_ha_stellenteile AS anzahl_ha_stellenteile,
    m.anzahl_ha_personen AS anzahl_ha_personen,
    m.anzahl_ha_maennlich AS anzahl_ha_maennlich,
    m.anzahl_ha_weiblich AS anzahl_ha_weiblich,
    m.anzahl_ha_migration AS anzahl_ha_migration,
    m.verteilung_aa_begleitung_cm AS verteilung_aa_begleitung_cm,
    m.verteilung_aa_gruppenangebote AS verteilung_aa_gruppenangebote,
    m.verteilung_aa_netzwerkarbeit AS verteilung_aa_netzwerkarbeit,
    m.verteilung_aa_dokumentation AS verteilung_aa_dokumentation,
    m.verteilung_aa_elternarbeit AS verteilung_aa_elternarbeit,
    m.verteilung_aa_sonstiges AS verteilung_aa_sonstiges,
    m.anzahl_nha_stellenteile AS anzahl_nha_stellenteile,
    m.anzahl_nha_personen AS anzahl_nha_personen,
    m.anzahl_nha_maennlich AS anzahl_nha_maennlich,
    m.anzahl_nha_weiblich AS anzahl_nha_weiblich,
    m.anzahl_nha_migration AS anzahl_nha_migration,
    m.anzahl_ea_personen AS anzahl_ea_personen,
    m.anzahl_ea_maennlich AS anzahl_ea_maennlich,
    m.anzahl_ea_weiblich AS anzahl_ea_weiblich,
    m.anzahl_ea_migration AS anzahl_ea_migration,
    m.bildungsberatung_garantiefonds AS bildungsberatung_garantiefonds,
    m.bildungsberatung_beratungsfaelle AS bildungsberatung_beratungsfaelle,
    m.existenz_jugendhilfekonferenz AS existenz_jugendhilfekonferenz,
    m.teilnahme_jugenhilfekonferenz AS teilnahme_jugenhilfekonferenz,
    m.existenz_jugendkonferenz AS existenz_jugendkonferenz,
    m.teilnahme_jugenkonferenz AS teilnahme_jugenkonferenz,
    m.erstellung_netzwerkkarte AS erstellung_netzwerkkarte,
    m.weitere_akt_anzahl_informationsveranst AS weitere_akt_anzahl_informationsveranst,
    m.weitere_akt_anzahl_workshops AS weitere_akt_anzahl_workshops,
    m.weitere_akt_anzahl_trainings AS weitere_akt_anzahl_trainings,
    m.weitere_akt_anzahl_veroeffentlichungen AS weitere_akt_anzahl_veroeffentlichungen,
    m.weitere_akt_anzahl_referate AS weitere_akt_anzahl_referate,
    m.weitere_akt_anzahl_sonstiges AS weitere_akt_anzahl_sonstiges,
    m.elternberatung_anzahl AS elternberatung_anzahl,
    m.elternberatung_stunden AS elternberatung_stunden
   FROM master_tbl m JOIN ka_status_tbl s
       ON m.id = s.master_id
       WHERE
           s.status <> 3 AND
           (m.bearbeiter_id = (getuserid())::integer)
           OR pg_has_role('admin','MEMBER');
--
GRANT SELECT ON master_tbl_eval_total_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_eval_total_view TO GROUP :admin_group;

-- Finish, re-enable the triggers
SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER ALL;

COMMIT;
--ROLLBACK;
