-- The field verteilung_aa_dokumentation is deprecated and not available
-- anymore for new statistics. There are already some statistics for
-- 2019 that use it. To avoid having statistics that violate the rule
-- that the various *_aa_* fields must sum to 100, we add the values of
-- all the fields referenced in that rule to NULL.
--
-- "Newer case" means statistics started on or after 2019-01-01. Older
-- statistics, i.e. for 2018 and earlier, are not editable any more when
-- the 1.9.0 Update is deployed and the ones for 2019 and later can't
-- have been finished yet because 2019 is not over yet.
--
-- Part of mpuls/issue6686

UPDATE master_tbl
   SET verteilung_aa_begleitung_cm = NULL,
       verteilung_aa_gruppenangebote = NULL,
       verteilung_aa_netzwerkarbeit = NULL,
       verteilung_aa_dokumentation = NULL,
       verteilung_aa_elternarbeit = NULL,
       verteilung_aa_beratung = NULL,
       verteilung_aa_sonstiges = NULL
 WHERE datum_begin_zeitraum >= '2019-01-01';
