-- mpuls/issue5470

CREATE TABLE zielgruppe_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);

INSERT INTO zielgruppe_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO zielgruppe_tbl (id, value) VALUES (0, 'JMD');
INSERT INTO zielgruppe_tbl (id, value) VALUES (1, 'jmd2start');

GRANT SELECT ON zielgruppe_tbl TO GROUP :cm_group;
GRANT SELECT ON zielgruppe_tbl TO GROUP :admin_group;


CREATE TABLE aufenthaltspapier_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(22) NOT NULL
);

INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (0, 'BüMA');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (1, 'Aufenthaltsgestattung');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (2, 'Duldung');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (3, 'Aufenthaltserlaubnis');

GRANT SELECT ON aufenthaltspapier_tbl TO GROUP :cm_group;
GRANT SELECT ON aufenthaltspapier_tbl TO GROUP :admin_group;


ALTER TABLE master_tbl
  ADD COLUMN zielgruppe INTEGER DEFAULT -1,
  ADD FOREIGN KEY (zielgruppe)
      REFERENCES zielgruppe_tbl (id),
  ADD COLUMN aufenthaltspapier INTEGER DEFAULT -1,
  ADD FOREIGN KEY (aufenthaltspapier)
      REFERENCES aufenthaltspapier_tbl (id);

-- All existing data is for zielgruppe JMD (= 0)
UPDATE master_tbl SET zielgruppe = 0;
