-- Add upgrade script for the jmd2start consolidation.
-- mpuls/issue6312

-- The fields aufenthaltspapier_eintritt and aufenthaltspapier will
-- disappear but their final contents should remain visible in the text
-- field angaben_aufenthaltsstatus.
--
-- The field angaben_aufenthaltsstatus is a text field of unlimited
-- size, so there shouldn't be a problem with appending something to its
-- contents. The field is nullable, though, and at least in the
-- development database actually contains NULL in at least one case.
-- This is taken into account with the COALESCE for the
-- angaben_aufenthaltsstatus value.

UPDATE master_tbl
   SET angaben_aufenthaltsstatus
       = COALESCE(angaben_aufenthaltsstatus, '')
       || E'\r\n'
       || E'Zielgruppe „jmd2start“\r\n'
       || E'Aufenthaltspapier bei Eintritt in den JMD: '
       || (SELECT value FROM aufenthaltspapier_eintritt_tbl
            WHERE id = COALESCE(aufenthaltspapier_eintritt, -1))
       || E'\r\nAufenthaltspapier am '
       || to_char(current_timestamp, 'DD.MM.YYYY')
       || ': '
       || (SELECT value FROM aufenthaltspapier_tbl
            WHERE id = COALESCE(aufenthaltspapier, -1))
       || E'\r\n'
 WHERE zielgruppe = 1;
