-- Issue6931: change how abort_case documents the reasons.
--
-- This file is a copy of install/config/07abortcase.sql

CREATE OR REPLACE FUNCTION abort_case(mid int)
RETURNS void AS
$$
DECLARE
    current_phase INTEGER;
BEGIN
    SELECT INTO current_phase m.phase FROM master_tbl_view m WHERE m.id = mid;

    CASE current_phase
        WHEN 2 THEN
	    -- running CM
            UPDATE master_tbl_view SET berufsabschluss_erworben_im_ausland = -3
             WHERE id = mid
               AND NOT ((( berufsabschluss_erworben_im_ausland IS NOT NULL ) AND (-1 != berufsabschluss_erworben_im_ausland)));
            UPDATE master_tbl_view SET schulabschluss_erworben_im_ausland = -3
             WHERE id = mid
               AND NOT ((( schulabschluss_erworben_im_ausland IS NOT NULL ) AND (-1 != schulabschluss_erworben_im_ausland)));
            UPDATE master_tbl_view SET hoechster_berufsabschluss_ausland_anerkannt = -3
             WHERE id = mid
               AND (1 = berufsabschluss_erworben_im_ausland) AND NOT ((( hoechster_berufsabschluss_ausland_anerkannt IS NOT NULL ) AND (-1 != hoechster_berufsabschluss_ausland_anerkannt)));
            UPDATE master_tbl_view SET aussiedlerstatus = -3
             WHERE id = mid
               AND NOT ((( aussiedlerstatus IS NOT NULL ) AND (-1 != aussiedlerstatus)));
            UPDATE master_tbl_view SET aktuelle_situation = -3
             WHERE id = mid
               AND NOT ((( aktuelle_situation IS NOT NULL ) AND (-1 != aktuelle_situation)));
            UPDATE master_tbl_view SET geburtsland = -3
             WHERE id = mid
               AND NOT ((( geburtsland IS NOT NULL ) AND (-1 != geburtsland)));
            UPDATE master_tbl_view SET hoechster_schulabschluss_erworben_de = -3
             WHERE id = mid
               AND NOT ((( hoechster_schulabschluss_erworben_de IS NOT NULL ) AND (-1 != hoechster_schulabschluss_erworben_de)));
            UPDATE master_tbl_view SET hoechster_schulabschluss_ausland_anerkannt = -3
             WHERE id = mid
               AND (1 = schulabschluss_erworben_im_ausland) AND NOT ((( hoechster_schulabschluss_ausland_anerkannt IS NOT NULL ) AND (-1 != hoechster_schulabschluss_ausland_anerkannt)));
            UPDATE master_tbl_view SET sprache_zuhause = -3
             WHERE id = mid
               AND NOT ((( sprache_zuhause IS NOT NULL ) AND (-1 != sprache_zuhause)));
            UPDATE master_tbl_view SET hoechster_berufsabschluss_ausland_land = -3
             WHERE id = mid
               AND (1 = berufsabschluss_erworben_im_ausland) AND NOT ((( hoechster_berufsabschluss_ausland_land IS NOT NULL ) AND (-1 != hoechster_berufsabschluss_ausland_land)));
            UPDATE master_tbl_view SET einreisedatum = '0001-01-01'
             WHERE id = mid
               AND NOT (( einreisedatum IS NOT NULL ));
            UPDATE master_tbl_view SET staatsangehoerigkeit = -3
             WHERE id = mid
               AND NOT ((( staatsangehoerigkeit IS NOT NULL ) AND (-1 != staatsangehoerigkeit)));
            UPDATE master_tbl_view SET staatsangehoerigkeit_weitere = -3
             WHERE id = mid
               AND NOT ((( staatsangehoerigkeit_weitere IS NOT NULL ) AND (-1 != staatsangehoerigkeit_weitere)));
            UPDATE master_tbl_view SET kompetenzfeststellung = -3
             WHERE id = mid
               AND NOT ((( kompetenzfeststellung IS NOT NULL ) AND (-1 != kompetenzfeststellung)));
            UPDATE master_tbl_view SET veraenderung_inst_einbindung = -3
             WHERE id = mid
               AND NOT ((( veraenderung_inst_einbindung IS NOT NULL ) AND (-1 != veraenderung_inst_einbindung)));
            UPDATE master_tbl_view SET hoechster_berufsabschluss_erworben_de = -3
             WHERE id = mid
               AND NOT ((( hoechster_berufsabschluss_erworben_de IS NOT NULL ) AND (-1 != hoechster_berufsabschluss_erworben_de)));
            UPDATE master_tbl_view SET muttersprache = -3
             WHERE id = mid
               AND NOT ((( muttersprache IS NOT NULL ) AND (-1 != muttersprache)));
            UPDATE master_tbl_view SET aktuelle_massnahme_art = -3
             WHERE id = mid
               AND (5 = aktuelle_situation) AND NOT ((( aktuelle_massnahme_art IS NOT NULL ) AND (-1 != aktuelle_massnahme_art)));
            UPDATE master_tbl_view SET hoechster_berufsabschluss_erworben_ausland = -3
             WHERE id = mid
               AND (1 = berufsabschluss_erworben_im_ausland) AND NOT ((( hoechster_berufsabschluss_erworben_ausland IS NOT NULL ) AND (-1 != hoechster_berufsabschluss_erworben_ausland)));
            UPDATE master_tbl_view SET hoechster_schulabschluss_ausland_land = -3
             WHERE id = mid
               AND (1 = schulabschluss_erworben_im_ausland) AND NOT ((( hoechster_schulabschluss_ausland_land IS NOT NULL ) AND (-1 != hoechster_schulabschluss_ausland_land)));
            UPDATE master_tbl_view SET aktuelle_schule = -3
             WHERE id = mid
               AND (1 = aktuelle_situation) AND NOT ((( aktuelle_schule IS NOT NULL ) AND (-1 != aktuelle_schule)));
            UPDATE master_tbl_view SET hoechster_schulabschluss_erworben_ausland = -3
             WHERE id = mid
               AND (1 = schulabschluss_erworben_im_ausland) AND NOT ((( hoechster_schulabschluss_erworben_ausland IS NOT NULL ) AND (-1 != hoechster_schulabschluss_erworben_ausland)));
            UPDATE master_tbl_view SET kf_verfahren = -3
             WHERE id = mid
               AND ((1 = kompetenzfeststellung) OR (2 = kompetenzfeststellung)) AND NOT ((( kf_verfahren IS NOT NULL ) AND (-1 != kf_verfahren)));
            UPDATE master_tbl_view SET ende_inst_einbindung = -3
             WHERE id = mid
               AND (-1 != veraenderung_inst_einbindung) AND NOT ((( ende_inst_einbindung IS NOT NULL ) AND (-1 != ende_inst_einbindung)));
            UPDATE master_tbl_view SET kf_verfahren_nennung = 'unbekannt'
             WHERE id = mid
               AND ((1 = kompetenzfeststellung) OR (2 = kompetenzfeststellung)) AND (-2 = kf_verfahren) AND NOT (( kf_verfahren_nennung IS NOT NULL ));
            UPDATE rg_biographie2_tbl_view SET biographie_schule = -3
             WHERE master_id = mid
               AND (0 = biographie_art) AND NOT ((( biographie_schule IS NOT NULL ) AND (-1 != biographie_schule)));
            UPDATE rg_biographie2_tbl_view SET biographie_massnahme = -3
             WHERE master_id = mid
               AND (3 = biographie_art) AND NOT ((( biographie_massnahme IS NOT NULL ) AND (-1 != biographie_massnahme)));
            UPDATE rg_ziele_tbl_view SET fp_ziel = -3
             WHERE master_id = mid
               AND NOT ((( fp_ziel IS NOT NULL ) AND (-1 != fp_ziel)));
            UPDATE rg_ziele_tbl_view SET fp_ziel_erreicht = -3
             WHERE master_id = mid
               AND NOT ((( fp_ziel_erreicht IS NOT NULL ) AND (-1 != fp_ziel_erreicht)));
            UPDATE master_tbl_view SET datum_cm_ende = CURRENT_DATE
             WHERE id = mid;
            UPDATE master_tbl_view SET art_cm_ende = 0
             WHERE id = mid;
            UPDATE master_tbl_view SET abbruch_durch = 5
             WHERE id = mid;
            UPDATE master_tbl_view SET gruende_abbruch_cm = 9
             WHERE id = mid;
            UPDATE master_tbl_view SET phase = 3
             WHERE id = mid;
	WHEN 4 THEN
	    -- running BER

            UPDATE master_tbl_view SET datum_ber_ende = CURRENT_DATE
             WHERE id = mid;
            UPDATE master_tbl_view SET phase = 5
             WHERE id = mid;
	ELSE
    END CASE;
END;
$$ LANGUAGE plpgsql VOLATILE SECURITY DEFINER;

REVOKE ALL ON FUNCTION abort_case(int) FROM public;
GRANT EXECUTE ON FUNCTION abort_case(int) TO GROUP :admin_group;

