## -*- coding: utf-8 -*-
<%inherit file="/main.mako"/>
<%!  import mpulsweb.lib.helper.filters as F %>
<div class="row">
  <div id="content_ueberschrift" class="col offset-1">
    <h3>${_('Evaluation configuration')}</h3>
  </div>
</div>

<div class="formularpage col-xl-9 offset-1">
<form action="${h.url(controller='evaluate', action='evaluateAction')}" method="POST" target="_blank">
${ h.csrf_token() }
<% 
   if c.render_options_disabled:
       disabled_options = h.literal('disabled="disabled"')
   else:
       disabled_options = ""
%>
<input type="hidden" name="id">
  <div class="form-group row">
    <div class="col-md-2">${_('Name')}</div>
    <div class="col">${c.evalconfig.get_setname()}</div>
  </div>
  <div class="form-group row">
    <div class="col-md-2">${_('Description')}</div>
    <div class="col">${c.evalconfig.get_setdesc()}</div>
  </div>
  <div class="form-group row">
    <div class="col-md-2">${_('Phase')}</div>
    <div class="col">
      % for n, p in enumerate(c.phases):
      <div class="evaluation form-check">
        <input class="form-check-input" type="checkbox" name="phase" id="phase_${n}" value="${p[0]}"
               ${disabled_options}>
          <label class="form-check-label" for="phase_${n}">
            ${p[1]}
          </label>
      </div>
      % endfor
    </div>
  </div>
  
  <div class="row mb-4">
    <div class="form-group col-md-2">
      <label for="start_date">${_('Start')}</label>
      <input type="text" name="start_date" 
             class="datefield mpuls-datepicker form-control form-control-sm"
              ${disabled_options}>
      <small class="alert-danger errortipp"><form:error name="start_date" format=""></small>
    </div>
    <div class="form-group col-md-2">
      <label for="end_date">${_('End')}</label>
      <input type="text" name="end_date" 
             class="datefield mpuls-datepicker form-control form-control-sm"
              ${disabled_options}>
      <small class="alert-danger errortipp"><form:error name="end_date" format=""></small>
    </div>
  </div>
  <%include file="/evaluation/evaluate_extra.mako" args="disabled_options=disabled_options"/>
  <%
     evaluation_ids = session.get("evaluation_ids")
   %>
  % if evaluation_ids:
  <tr>
    <td class="label">${_('Filter')}</td>
    <td>
      ${_("Yes")} (<a href="${h.url(controller='evaluate', action='reset_filter', id=c.eval_config_id)}">${_("Reset")}</a>)<br>
      ${(ungettext("%d case has been selected for evaluation",
                   "%d cases have been selected for evaluation",
                   len(evaluation_ids)) % len(evaluation_ids))}
      <input type="hidden" name="selected_ids">
    </td>
  </tr>
  % endif
</table>
<h4 class="text-muted">${_('Available evaluations')}</h4>
${_('Please select one or more evaluations')}
<div class="form-group">
  <div class="evaluation header form-check">
    <input class="form-check-input" type="checkbox"
            name="mpuls-toggle-all-typelist" id="toggle-typelist">
    <label class="form-check-label" for="toggle-typelist">
      <div class="font-weight-bold">${_('Select/deselect all evaluations')}</div>
    </label>
  </div>
</div>

  % for num, id in enumerate(c.evalconfig.get_evaluations()):
  <div class="form-group">
    <div class="evaluation form-check">
      <input class="form-check-input" type="checkbox" name="typelist" value="${id}" id="${id}">
      <label class="form-check-label" for="${id}">${c.evalconfig.get_name(id)}</label>
      <small id="${id}" class="form-text text-muted">
         ${c.evalconfig.get_desc(id)}
      </small>
    </div>
  </div>
  % endfor

  <div class="evaluation form-check">
    <input class="form-check-input" type="checkbox" 
           name="show_percent" id="show_percent">
    <label class="form-check-label" for="show_percent">
      <div class="font-weight-bold">${_('Show percent')}</div>
    </label>
  </div> 

  <div class="form-group mt-4">
    <input class="btn btn-primary" type="submit" name="setup_evaluation" 
           value="${_('evaluate')}"> 
  </div>
</form>
</div>
