## -*- coding: utf-8 -*-
<%! import mpulsweb.lib.helper.filters as F %>
<%inherit file="../main.mako" />

<%def name="title()">
    ${h.get_app_title()} - ${_('Black board')}
</%def>

<div class="row">
  <div class="col" id="content_ueberschrift">
      <h3>${_('Black Board')}</h3>
  </div>
  % if g.login_db:
  <div  class="col-auto" id="status_str_nofloat">
    <small class="form-text text-muted">
      ${_('Last successful login:')} ${h.NA(h.format_datetime(session.get('LAST_SUCCESSFUL_LOGIN')))}
    </small>
    <small class="form-text text-muted">
      ${_('Last failed login:')} ${h.NA(h.format_datetime(h.get_last_failed_login()))}
    </small>
  </div>
  % endif
</div>

% if (h.getLogin() == 'adm'):
  <div id="adm_beta">
    <p>${_('You reside in the central administration')}</p><br>
    <p>${_('Under the menu item "User" you can')}.</p>
    <ul>
      <li>${_('Create new user')}</li>
      <li>${_('Organise already existing user')}</li>
    </ul>
    <p>${_('Under the menu item "Agency" you can')}:</p>
    <ul>
      <li>${_('Configure the name and other settings of the agency')}</li>
      <li>${_('Activate the transmission of anonymised cases')}</li>
    </ul>
  </div>
% else:
  ## NEWS
  % if g.mpuls_config.is_enabled('module', 'news'):
    % if c.news.getList():
      <h4 class="text-muted">${_('Current information')}</h4>
      <%include file="/news/newslist.mako"/>
    % endif
  % endif
  ## CUSTOM CONTENT ON BLACKBOARD
  <%include file="/home/customcontent.mako"/>
  ## APPOINTMENTS
  ## Reminders
  % if g.mpuls_config.is_enabled('case-module', 'reminders'):
    % if len(c.remindlist.getDatasets()) > 0:
      <h4 class="text-muted">${_('Reminders')}</h4>
      <%include file="/home/remindlist.mako"/>
    % endif
  % endif
  ## Case
  % if g.mpuls_config.is_enabled('case-module', 'appointments') and h.hasRole(['cm']):
    <h4 class="text-muted">${_('Own follow-ups')}</h4>
    <% c.remindlist = c.followuplist %>
    <%include file="/home/remindlist.mako"/>
    <h4 class="text-muted">${_('Own appointments')}</h4>
    <%include file="/home/caseappointmentlist.mako"/>
  % endif
  ## Global
  % if g.mpuls_config.is_enabled('module', 'appointments'):
  <div class="mt-5">
    <h4 class="text-muted">${_('Agency-wide appointments')}</h4>
    <%include file="/home/globalappointmentlist.mako"/>
  </div>
  % endif
% endif
