## -*- coding: utf-8 -*-

## 1. Define Modules
##    - buildDigest
##    - buildDurationInfo
## 2. Digest Phase Statemachine Template

<%def name="buildRequiredFields(current_phase, started)">
          <div class="col-md-6 state">
            <% pages, order = current_phase.getLinks() %>
            % if (started and len(pages) > 0):
              <% completed = True %>
              % for key in order:
                <% fields = [f.get_link() for f in pages.get(key, [])  if not f.is_ok()] %>
                % if len(fields) > 0:
                  <strong>${key}</strong>:
                  ${h.literal(", ".join(fields))}
                  <% completed = False %>
                  <br>
                % endif
              % endfor
              % if completed:
                ${_('All required fields completed')}
              % endif
            % else:
              ${_('No required fields found')}
            % endif
          </div>
</%def>

<%def name="buildDigest()">
  <form method="POST" action="${h.url(controller='phase', action='editAction')}">
  ${ h.csrf_token() }
    <input type="hidden" name="case_id" value="${session.get('case').id}">
      <% is_allowed = h.hasRole(('cm',)) %>

      <div class="row statedigest_header">
        <div class="col-md-2"><strong>${_('Phase')}</strong></div>
        <div class="col-md-1"></div>
        <div class="col-md-6"><strong>${_('Required fields')}</strong></div>
        <div class="col-md-1"><strong>${_('Time')}</strong></div>
        % if c.show_actions:
          <div class="col">
            % if is_allowed:
              ${_('Actions')}
            % endif
          </div>
        % endif
      </div>

      <% phases_are_valid = phases.is_valid() %>
      <% current_phase = phases.get_current_phase_id() %>
      <% num = 0 %>
      % for phase in phases:
      <% if phase.id == -1 and g.mpuls_config.is_enabled('phases', 'hideunknown'): continue  %>

      <% p1, p2 = phase.getStart(), phase.getEnd()  %>
      ## Only show phases which are are on the path of the current phase, or
      ##are after the current path
      % if phases.is_on_path(p1.id, current_phase) \
        or phases.is_on_path(p2.id, current_phase) \
        or p1.id in phases.get_reachable_path(current_phase, False) \
        or p2.id in phases.get_reachable_path(current_phase, False) \
        or current_phase == '-1':

        <div class="row">

          <div class="col-md-2">
            <% started = True %>
            <strong>${h.literal(phase.getDescription())}</strong><br>
            % if p1.is_active():
              ${_('Running')}
            % elif p2.is_active():
              ${_('Finished')}
            % elif (p2.id in phases.get_path(current_phase)) or (p1.id in phases.get_path(current_phase)):
              ${_('Finished')}
            % else:
              ${_('Not yet started')}
              <% started = False %>
            % endif
          </div>

          <div class="col-md-1 text-right">
            % if p1.is_ok() and (phases.is_on_path(p1.id, current_phase,True) or phases.is_on_path(current_phase, p1.id, True)):
            <span title="${_('All required fields completed')}">
              <svg class="svg-icon-disabled" role="img">
                <use xlink:href="#check" />
              </svg>
            </span>
            % else:
              % if started:
                <span title="${_('Required fields uncompleted')}">
                  <svg class="svg-icon-disabled" role="img">
                    <use xlink:href="#info" />
                  </svg>
                </span>
              % else:
                <span title="${_('No required fields found')}">
                  <svg class="svg-icon-disabled" role="img">
                    <use xlink:href="#phase-running" />
                  </svg>
                </span>
              % endif
            % endif
          </div>

          ${self.buildRequiredFields(p1, started)}


          <div class="col-md-1">
            ${h.NA(h.format_date(p1.getTime()))}
          </div>


          % if c.show_actions:
            <div class="col-md-1">
              % if p1.is_ok() and phases_are_valid and p1.is_neighbor(current_phase) and h.hasRole(['cm']) and session.get('case').getState().getState() == 1:
                <input type="submit" name="${p1.id}" value="${_('Start')}">
              % else:
                <input type="submit" name="${p1.id}" value="${_('Start')}" disabled="disabled">
              % endif
            </div>
          % endif

        </div>

        <div class="row mb-4">

          <div class="col-md-2"></div>

          <div class="col-md-1 text-right">
            % if p2.is_ok() and (phases.is_on_path(p2.id, current_phase, True) or phases.is_on_path(current_phase, p2.id, True)):
           <span title="${_('All required fields completed')}">
              <svg class="svg-icon-disabled" role="img">
                <use xlink:href="#check" />
              </svg>
            </span>
            % else:
              % if started:
                <span title="${_('Required fields uncompleted')}">
                  <svg class="svg-icon-disabled" role="img">
                    <use xlink:href="#info" />
                  </svg>
                </span>
              % else:
                <span title="${_('No required fields found')}">
                  <svg class="svg-icon-disabled" role="img">
                    <use xlink:href="#phase-running" />
                  </svg>
                </span>
              % endif
            % endif
          </div>


          ${self.buildRequiredFields(p2, started)}


          <div class="col-md-1">
            ${h.NA(h.format_date(p2.getTime()))}
          </div>


          <div class="col-md-1">
            % if c.show_actions:
                % if p2.is_ok() and phases_are_valid and p2.is_neighbor(current_phase) and h.hasRole(['cm']) and session.get('case').getState().getState() == 1:
                  <input type="submit" name="${p2.id}" value="${_('Finish')}">
                % else:
                  <input type="submit" name="${p2.id}" value="${_('Finish')}" disabled="disabled">
                % endif
            % endif
          </div>

        </div>

        <% num = num +1 %>
      % endif
      % endfor
  </form>
</%def>


<%def name="buildDurationInfo()">
  <h4 class="text-muted">${_('Duration of phases')}</h4>
    <% total = None %>
  <div class="row">
    <div class="col-md-6">
      <div class="row">
        <div class="col">${_('Phase')}</div>
        <div class="col">${_('Duration in weeks')}</div>
      </div>
      % for num, phase in enumerate(phases):
        <% if phase.id == -1 and g.mpuls_config.is_enabled('phases', 'hideunknown'): continue  %>
        <%
          t = phase.getDuration()
          if t: total = total and (total + t) or t
        %>
        <div class="row">
          <div class="col">${h.literal(phase.getDescription())}</div>
          <div class="col">${h.NA(h.timedelta_in_weeks(t))}</div>
        </div>
      % endfor
      <div class="row">
        <div class="col"><strong>${_('Total')}</strong></div>
        <div class="col">
          <strong>${h.timedelta_in_weeks(total, '-/-')}</strong>
        </div>
      </div>
    </div>
  </div>
</%def>

## 2. Digest Phase Statemachine Template
<div id="content_header">
  <div id="content_ueberschrift">
    <h3>${_('Phase in CM')}</h3>
  </div>
</div>

${self.buildDigest()}

${self.buildDurationInfo()}
