## -*- coding: utf-8 -*-
<%inherit file="../casemanagement/main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='tags', action='overview', id=session.get('case').id)}">${_('Tags')}</a></li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
${_('Tags')}
  </div>
</div>
<% 
tag_ids = [int(i) for i in g.taggingConf.get_checks()]
tag_ids.sort()
%>
##<h2>${_('Internal Tags')}</h2>
<div id="content_tags">
  <div id="tags">
    <h2>${_('Evaluation')}</h2>
    <div class="table-responsive">
      <table>
        % for num, id in enumerate([tag_id for tag_id in tag_ids if tag_id > 0 and tag_id < 10]):
        <tr class="${num%2 and 'hl' or ''}">
          <td width="25px" class="middle">
            % if id in c.tags:
            <span title"OK">
              <svg class="svg-icon-disabled" aria-labelledby="title" role="img">
                <title id="title">'OK'</title>
                <use xlink:href="#check" />
              </svg>
            </span>
            % else:
            <span title"Error">
              <svg class="svg-icon-disabled" aria-labelledby="title" role="img">
                <title id="title">Error</title>
                <use xlink:href="#alert" />
              </svg>
            </span>
            % endif
          </td>
          <td class="note">
            <strong>${g.taggingConf.get_name(id)}</strong> <!-- Tag-ID: (id:${id}) --><br>
            ${g.taggingConf.get_desc(id)}
          </td>
        </tr>
        % endfor
      </table>
    </div>
  </div>
  <div id="validities">
    <h2>${_('Validities')}</h2>
    <div class="table-responsive">
      <table>
        % for num, id in enumerate([tag_id for tag_id in tag_ids if tag_id >= 10 and tag_id < 100]):
        <tr class="${num%2 and 'hl' or ''}">
          <td width="25px" class="middle">
            % if id in c.tags:
            <span title="OK">
              <svg class="svg-icon-disabled" aria-labelledby="title" role="img">
                <title id="title">'OK'</title>
                <use xlink:href="#check" />
              </svg>
            </span>
            % else:
            <span title="Error">
              <svg class="svg-icon-disabled" aria-labelledby="title" role="img">
                <title id="title">Error</title>
                <use xlink:href="#alert" />
              </svg>
            </span>
            % endif
          </td>
          <td class="note">
            <strong>${g.taggingConf.get_name(id)}</strong> <!-- Tag-ID: (id:${id}) --><br>
            ${g.taggingConf.get_desc(id)}
          </td>
        </tr>
        % endfor
      </table>
    </div>
  </div>
  <div id="rules">
    <h2>${_('Rule-Check')}</h2>
    <div class="table-responsive">
      <table>
        <% errors = [tag_id for tag_id in tag_ids if tag_id >= 100 and tag_id < 10000 and tag_id in c.tags] %>
        % for num, id in enumerate(errors):
        <tr class="${num%2 and 'hl' or ''}">
          <td width="25px" class="middle">
          <span title="Error">
              <svg class="svg-icon-disabled" aria-labelledby="title" role="img">
                <title id="title">Error</title>
                <use xlink:href="#alert" />
              </svg>
          </span>
          </td>
          <td class="note">
            <strong>${g.taggingConf.get_name(id)}</strong> <!-- Tag-ID: (id:${id}) --><br>
            ${g.taggingConf.get_desc(id)}
          </td>
        </tr>
        % endfor
        % if len(errors) < 1:
        <tr class="">
          <td width="25px" class="middle">
            <span title="OK">
              <svg class="svg-icon-disabled" aria-labelledby="title" role="img">
                <title id="title">'OK'</title>
                <use xlink:href="#check" />
              </svg>
            </span>
          </td>
          <td class="note">
            <strong>${_('Data is consitent!')}</strong><br>
            ${_('The rule based validation on the data was successfull. No errors found.')}
          </td>
        </tr>
        % endif
      </table>
    </div>
  </div>
</div>
